2006-02-03 18:56:25

by Alexander Fieroch

[permalink] [raw]
Subject: [2.6.16rc2] compile error

Hello,

I can't compile kernel 2.6.16-rc[12] and get the following error:

# make
/bin/sh: -c: line 0: syntax error near unexpected token `('
/bin/sh: -c: line 0: `set -e; echo ' CHK include/linux/version.h';
mkdir -p include/linux/; if [ `echo -n "2.6.16-rc2 .file null
.ident GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8) .section
.note.GNU-stack,,@progbits" | wc -c ` -gt 64 ]; then echo '"2.6.16-rc2
.file null .ident GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8)
.section .note.GNU-stack,,@progbits" exceeds 64 characters' >&2; exit 1;
fi; (echo \#define UTS_RELEASE \"2.6.16-rc2 .file null .ident
GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8) .section
.note.GNU-stack,,@progbits\"; echo \#define LINUX_VERSION_CODE `expr 2
\\* 65536 + 6 \\* 256 + 16`; echo '#define KERNEL_VERSION(a,b,c) (((a)
<< 16) + ((b) << 8) + (c))'; ) < /usr/src/linux-2.6.16rc2/Makefile >
include/linux/version.h.tmp; if [ -r include/linux/version.h ] && cmp -s
include/linux/version.h include/linux/version.h.tmp; then rm -f
include/linux/version.h.tmp; else echo ' UPD
include/linux/version.h'; mv -f include/linux/version.h.tmp
include/linux/version.h; fi'
make: *** [include/linux/version.h] Error 2


Kernel 2.6.15 is compiling without problems. So what have I to do?

Redards,
Alexander


2006-02-03 19:01:33

by Sam Ravnborg

[permalink] [raw]
Subject: Re: [2.6.16rc2] compile error

On Fri, Feb 03, 2006 at 07:55:47PM +0100, Alexander Fieroch wrote:
> Hello,
>
> I can't compile kernel 2.6.16-rc[12] and get the following error:
>
> # make
> /bin/sh: -c: line 0: syntax error near unexpected token `('
> /bin/sh: -c: line 0: `set -e; echo ' CHK include/linux/version.h';
> mkdir -p include/linux/; if [ `echo -n "2.6.16-rc2 .file null
> .ident GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8) .section
> .note.GNU-stack,,@progbits" | wc -c ` -gt 64 ]; then echo '"2.6.16-rc2
> .file null .ident GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8)
> .section .note.GNU-stack,,@progbits" exceeds 64 characters' >&2; exit 1;
> fi; (echo \#define UTS_RELEASE \"2.6.16-rc2 .file null .ident
> GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8) .section
> .note.GNU-stack,,@progbits\"; echo \#define LINUX_VERSION_CODE `expr 2
> \\* 65536 + 6 \\* 256 + 16`; echo '#define KERNEL_VERSION(a,b,c) (((a)
> << 16) + ((b) << 8) + (c))'; ) < /usr/src/linux-2.6.16rc2/Makefile >
> include/linux/version.h.tmp; if [ -r include/linux/version.h ] && cmp -s
> include/linux/version.h include/linux/version.h.tmp; then rm -f
> include/linux/version.h.tmp; else echo ' UPD
> include/linux/version.h'; mv -f include/linux/version.h.tmp
> include/linux/version.h; fi'
> make: *** [include/linux/version.h] Error 2

You are hit be an outstanding issue with -rc1 + rc2.
When you build as root you will alter /dev/null and in your case it
became a regular file.

Recreate /dev/null and build as normal user for now.
You can apply patch below to fix it - will be in next -rc.

Sam

diff-tree 3835f82183eab8b67ddda6b32c127859a546c82d (from 3ee68c4af3fd7228c1be63254b9f884614f9ebb2)
Author: Sam Ravnborg <[email protected]>
Date: Sat Jan 21 12:03:09 2006 +0100

kconfig: fix /dev/null breakage

While running "make menuconfig" and "make mrproper"
some people experienced that /dev/null suddenly changed
permissions or suddenly became a regular file.
The main reason was that /dev/null was used as output
to gcc in the check-lxdialog.sh script and gcc did
some strange things with the output file; in this
case /dev/null when it errorred out.

Following patch implements a suggestion
from Bryan O'Sullivan <[email protected]> to
use gcc -print-file-name=libxxx.so.

Also the Makefile is adjusted to not resolve value of
HOST_EXTRACFLAGS and HOST_LOADLIBES until they are actually used.
This prevents us from calling gcc when running make *clean/mrproper

Thanks to Eyal Lebedinsky <[email protected]> and
Jean Delvare <[email protected]> for the first error reports.

Signed-off-by: Sam Ravnborg <[email protected]>
---

diff --git a/scripts/kconfig/lxdialog/Makefile b/scripts/kconfig/lxdialog/Makefile
index fae3e29..bbf4887 100644
--- a/scripts/kconfig/lxdialog/Makefile
+++ b/scripts/kconfig/lxdialog/Makefile
@@ -1,11 +1,14 @@
# Makefile to build lxdialog package
#

check-lxdialog := $(srctree)/$(src)/check-lxdialog.sh
-HOST_EXTRACFLAGS:= $(shell $(CONFIG_SHELL) $(check-lxdialog) -ccflags)
-HOST_LOADLIBES := $(shell $(CONFIG_SHELL) $(check-lxdialog) -ldflags $(HOSTCC))
+
+# Use reursively expanded variables so we do not call gcc unless
+# we really need to do so. (Do not call gcc as part of make mrproper)
+HOST_EXTRACFLAGS = $(shell $(CONFIG_SHELL) $(check-lxdialog) -ccflags)
+HOST_LOADLIBES = $(shell $(CONFIG_SHELL) $(check-lxdialog) -ldflags $(HOSTCC))

HOST_EXTRACFLAGS += -DLOCALE

.PHONY: dochecklxdialog
$(obj)/dochecklxdialog:
diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh
index 448e353..120d624 100644
--- a/scripts/kconfig/lxdialog/check-lxdialog.sh
+++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
@@ -2,21 +2,21 @@
# Check ncurses compatibility

# What library to link
ldflags()
{
- echo "main() {}" | $cc -lncursesw -xc - -o /dev/null 2> /dev/null
+ $cc -print-file-name=libncursesw.so | grep -q /
if [ $? -eq 0 ]; then
echo '-lncursesw'
exit
fi
- echo "main() {}" | $cc -lncurses -xc - -o /dev/null 2> /dev/null
+ $cc -print-file-name=libncurses.so | grep -q /
if [ $? -eq 0 ]; then
echo '-lncurses'
exit
fi
- echo "main() {}" | $cc -lcurses -xc - -o /dev/null 2> /dev/null
+ $cc -print-file-name=libcurses.so | grep -q /
if [ $? -eq 0 ]; then
echo '-lcurses'
exit
fi
exit 1
@@ -34,14 +34,17 @@ ccflags()
else
echo '-DCURSES_LOC="<curses.h>"'
fi
}

-compiler=""
+# Temp file, try to clean up after us
+tmp=.lxdialog.tmp
+trap "rm -f $tmp" 0 1 2 3 15
+
# Check if we can link to ncurses
check() {
- echo "main() {}" | $cc -xc - -o /dev/null 2> /dev/null
+ echo "main() {}" | $cc -xc - -o $tmp 2> /dev/null
if [ $? != 0 ]; then
echo " *** Unable to find the ncurses libraries." 1>&2
echo " *** make menuconfig require the ncurses libraries" 1>&2
echo " *** " 1>&2
echo " *** Install ncurses (ncurses-devel) and try again" 1>&2
@@ -57,10 +60,11 @@ usage() {
if [ $# == 0 ]; then
usage
exit 1
fi

+cc=""
case "$1" in
"-check")
shift
cc="$@"
check

2006-02-03 19:01:17

by Alex Romosan

[permalink] [raw]
Subject: Re: [2.6.16rc2] compile error

Alexander Fieroch <[email protected]> writes:

> Hello,
>
> I can't compile kernel 2.6.16-rc[12] and get the following error:
>
> # make
> /bin/sh: -c: line 0: syntax error near unexpected token `('
> /bin/sh: -c: line 0: `set -e; echo ' CHK include/linux/version.h';
> mkdir -p include/linux/; if [ `echo -n "2.6.16-rc2 .file null
> .ident GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8) .section
> .note.GNU-stack,,@progbits" | wc -c ` -gt 64 ]; then echo '"2.6.16-rc2
> .file null .ident GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8)
> .section .note.GNU-stack,,@progbits" exceeds 64 characters' >&2; exit 1;
> fi; (echo \#define UTS_RELEASE \"2.6.16-rc2 .file null .ident
> GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8) .section
> .note.GNU-stack,,@progbits\"; echo \#define LINUX_VERSION_CODE `expr 2
> \\* 65536 + 6 \\* 256 + 16`; echo '#define KERNEL_VERSION(a,b,c) (((a)
> << 16) + ((b) << 8) + (c))'; ) < /usr/src/linux-2.6.16rc2/Makefile >
> include/linux/version.h.tmp; if [ -r include/linux/version.h ] && cmp -s
> include/linux/version.h include/linux/version.h.tmp; then rm -f
> include/linux/version.h.tmp; else echo ' UPD
> include/linux/version.h'; mv -f include/linux/version.h.tmp
> include/linux/version.h; fi'
> make: *** [include/linux/version.h] Error 2

look at /dev/null. on my system it keeps getting replaced by a regular
file. not really sure where the bug is, but 'cd /dev; ./MAKEDEV null'
will recreate the null character device and then the compilation will
proceed normally.

--alex--

--
| I believe the moment is at hand when, by a paranoiac and active |
| advance of the mind, it will be possible (simultaneously with |
| automatism and other passive states) to systematize confusion |
| and thus to help to discredit completely the world of reality. |

2006-02-03 19:29:09

by Nick Warne

[permalink] [raw]
Subject: Re: [2.6.16rc2] compile error

> You are hit be an outstanding issue with -rc1 + rc2.
> When you build as root you will alter /dev/null and in your case it
> became a regular file.
>
> Recreate /dev/null and build as normal user for now.
> You can apply patch below to fix it - will be in next -rc.

Although this is fixed, can/should /dev/null be made immutable? I
presume the whole system relies on it...

Nick

2006-02-03 19:36:52

by Gene Heskett

[permalink] [raw]
Subject: Re: [2.6.16rc2] compile error

On Friday 03 February 2006 13:55, Alexander Fieroch wrote:
>Hello,
>
>I can't compile kernel 2.6.16-rc[12] and get the following error:
>
># make
>/bin/sh: -c: line 0: syntax error near unexpected token `('
>/bin/sh: -c: line 0: `set -e; echo ' CHK
> include/linux/version.h'; mkdir -p include/linux/; if [ `echo
> -n "2.6.16-rc2 .file null .ident
> GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8) .section
> .note.GNU-stack,,@progbits" | wc -c ` -gt 64 ]; then echo
> '"2.6.16-rc2 .file null .ident
> GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8) .section
> .note.GNU-stack,,@progbits" exceeds 64 characters' >&2; exit 1; fi;
> (echo \#define UTS_RELEASE \"2.6.16-rc2 .file null .ident
> GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8) .section
>.note.GNU-stack,,@progbits\"; echo \#define LINUX_VERSION_CODE `expr 2
>\\* 65536 + 6 \\* 256 + 16`; echo '#define KERNEL_VERSION(a,b,c) (((a)
><< 16) + ((b) << 8) + (c))'; ) < /usr/src/linux-2.6.16rc2/Makefile >
>include/linux/version.h.tmp; if [ -r include/linux/version.h ] && cmp
> -s include/linux/version.h include/linux/version.h.tmp; then rm -f
> include/linux/version.h.tmp; else echo ' UPD
>include/linux/version.h'; mv -f include/linux/version.h.tmp
>include/linux/version.h; fi'
>make: *** [include/linux/version.h] Error 2
>
>
>Kernel 2.6.15 is compiling without problems. So what have I to do?
>
>Redards,
>Alexander

Did you unpack this from a .bz2 download? Such as this is why I always
go get the .gz versions. It just built flawlessly here, 8 warnings in
the apm stuffs we've been looking at for years. Fixing to reboot to it
right now. brb.

Done, booted to it.

I scraped this from the login screen: But it won't paste, darn.
Something about bus methods used by the w83627hf driver I think. Is
this supposedly being migrated to the SPI bus? If so, howto swap
the .config stuufs to do that?

FWIW, sensors is displaying via gkrellm just fine for the moment.

Also, its nice to see 1GB of low mem registered now. Thanks.

>-
>To unsubscribe from this list: send the line "unsubscribe
> linux-kernel" in the body of a message to [email protected]
>More majordomo info at http://vger.kernel.org/majordomo-info.html
>Please read the FAQ at http://www.tux.org/lkml/

--
Cheers, Gene
People having trouble with vz bouncing email to me should add the word
'online' between the 'verizon', and the dot which bypasses vz's
stupid bounce rules. I do use spamassassin too. :-)
Yahoo.com and AOL/TW attorneys please note, additions to the above
message by Gene Heskett are:
Copyright 2006 by Maurice Eugene Heskett, all rights reserved.

2006-02-03 19:47:57

by Gene Heskett

[permalink] [raw]
Subject: Re: [2.6.16rc2] compile error

On Friday 03 February 2006 14:01, Sam Ravnborg wrote:
>On Fri, Feb 03, 2006 at 07:55:47PM +0100, Alexander Fieroch wrote:
>> Hello,
>>
>> I can't compile kernel 2.6.16-rc[12] and get the following error:
>>
>> # make
>> /bin/sh: -c: line 0: syntax error near unexpected token `('
>> /bin/sh: -c: line 0: `set -e; echo ' CHK
>> include/linux/version.h'; mkdir -p include/linux/; if [ `echo
>> -n "2.6.16-rc2 .file null .ident
>> GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8) .section
>> .note.GNU-stack,,@progbits" | wc -c ` -gt 64 ]; then echo
>> '"2.6.16-rc2 .file null .ident
>> GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8) .section
>> .note.GNU-stack,,@progbits" exceeds 64 characters' >&2; exit 1; fi;
>> (echo \#define UTS_RELEASE \"2.6.16-rc2 .file null .ident
>> GCC:(GNU)4.0.320060128(prerelease)(Debian4.0.2-8) .section
>> .note.GNU-stack,,@progbits\"; echo \#define LINUX_VERSION_CODE `expr
>> 2 \\* 65536 + 6 \\* 256 + 16`; echo '#define KERNEL_VERSION(a,b,c)
>> (((a) << 16) + ((b) << 8) + (c))'; ) <
>> /usr/src/linux-2.6.16rc2/Makefile > include/linux/version.h.tmp; if
>> [ -r include/linux/version.h ] && cmp -s include/linux/version.h
>> include/linux/version.h.tmp; then rm -f include/linux/version.h.tmp;
>> else echo ' UPD
>> include/linux/version.h'; mv -f include/linux/version.h.tmp
>> include/linux/version.h; fi'
>> make: *** [include/linux/version.h] Error 2
>
>You are hit be an outstanding issue with -rc1 + rc2.
>When you build as root you will alter /dev/null and in your case it
>became a regular file.

That didn't hit me Sam, and I built it as root, running it right now.

>Recreate /dev/null and build as normal user for now.
>You can apply patch below to fix it - will be in next -rc.
>
> Sam
>
>diff-tree 3835f82183eab8b67ddda6b32c127859a546c82d (from
> 3ee68c4af3fd7228c1be63254b9f884614f9ebb2) Author: Sam Ravnborg
> <[email protected]>
>Date: Sat Jan 21 12:03:09 2006 +0100
>
> kconfig: fix /dev/null breakage
>
> While running "make menuconfig" and "make mrproper"
> some people experienced that /dev/null suddenly changed
> permissions or suddenly became a regular file.
> The main reason was that /dev/null was used as output
> to gcc in the check-lxdialog.sh script and gcc did
> some strange things with the output file; in this
> case /dev/null when it errorred out.
>
> Following patch implements a suggestion
> from Bryan O'Sullivan <[email protected]> to
> use gcc -print-file-name=libxxx.so.
>
> Also the Makefile is adjusted to not resolve value of
> HOST_EXTRACFLAGS and HOST_LOADLIBES until they are actually used.
> This prevents us from calling gcc when running make
> *clean/mrproper
>
> Thanks to Eyal Lebedinsky <[email protected]> and
> Jean Delvare <[email protected]> for the first error reports.
>
> Signed-off-by: Sam Ravnborg <[email protected]>
> ---
>
>diff --git a/scripts/kconfig/lxdialog/Makefile
> b/scripts/kconfig/lxdialog/Makefile index fae3e29..bbf4887 100644
>--- a/scripts/kconfig/lxdialog/Makefile
>+++ b/scripts/kconfig/lxdialog/Makefile
>@@ -1,11 +1,14 @@
> # Makefile to build lxdialog package
> #
>
> check-lxdialog := $(srctree)/$(src)/check-lxdialog.sh
>-HOST_EXTRACFLAGS:= $(shell $(CONFIG_SHELL) $(check-lxdialog)
> -ccflags) -HOST_LOADLIBES := $(shell $(CONFIG_SHELL)
> $(check-lxdialog) -ldflags $(HOSTCC)) +
>+# Use reursively expanded variables so we do not call gcc unless
>+# we really need to do so. (Do not call gcc as part of make mrproper)
>+HOST_EXTRACFLAGS = $(shell $(CONFIG_SHELL) $(check-lxdialog)
> -ccflags) +HOST_LOADLIBES = $(shell $(CONFIG_SHELL)
> $(check-lxdialog) -ldflags $(HOSTCC))
>
> HOST_EXTRACFLAGS += -DLOCALE
>
> .PHONY: dochecklxdialog
> $(obj)/dochecklxdialog:
>diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh
> b/scripts/kconfig/lxdialog/check-lxdialog.sh index 448e353..120d624
> 100644
>--- a/scripts/kconfig/lxdialog/check-lxdialog.sh
>+++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
>@@ -2,21 +2,21 @@
> # Check ncurses compatibility
>
> # What library to link
> ldflags()
> {
>- echo "main() {}" | $cc -lncursesw -xc - -o /dev/null 2> /dev/null
>+ $cc -print-file-name=libncursesw.so | grep -q /
> if [ $? -eq 0 ]; then
> echo '-lncursesw'
> exit
> fi
>- echo "main() {}" | $cc -lncurses -xc - -o /dev/null 2> /dev/null
>+ $cc -print-file-name=libncurses.so | grep -q /
> if [ $? -eq 0 ]; then
> echo '-lncurses'
> exit
> fi
>- echo "main() {}" | $cc -lcurses -xc - -o /dev/null 2> /dev/null
>+ $cc -print-file-name=libcurses.so | grep -q /
> if [ $? -eq 0 ]; then
> echo '-lcurses'
> exit
> fi
> exit 1
>@@ -34,14 +34,17 @@ ccflags()
> else
> echo '-DCURSES_LOC="<curses.h>"'
> fi
> }
>
>-compiler=""
>+# Temp file, try to clean up after us
>+tmp=.lxdialog.tmp
>+trap "rm -f $tmp" 0 1 2 3 15
>+
> # Check if we can link to ncurses
> check() {
>- echo "main() {}" | $cc -xc - -o /dev/null 2> /dev/null
>+ echo "main() {}" | $cc -xc - -o $tmp 2> /dev/null
> if [ $? != 0 ]; then
> echo " *** Unable to find the ncurses libraries." 1>&2
> echo " *** make menuconfig require the ncurses libraries" 1>&2
> echo " *** " 1>&2
> echo " *** Install ncurses (ncurses-devel) and try again" 1>&2
>@@ -57,10 +60,11 @@ usage() {
> if [ $# == 0 ]; then
> usage
> exit 1
> fi
>
>+cc=""
> case "$1" in
> "-check")
> shift
> cc="$@"
> check
>-
>To unsubscribe from this list: send the line "unsubscribe
> linux-kernel" in the body of a message to [email protected]
>More majordomo info at http://vger.kernel.org/majordomo-info.html
>Please read the FAQ at http://www.tux.org/lkml/

--
Cheers, Gene
People having trouble with vz bouncing email to me should add the word
'online' between the 'verizon', and the dot which bypasses vz's
stupid bounce rules. I do use spamassassin too. :-)
Yahoo.com and AOL/TW attorneys please note, additions to the above
message by Gene Heskett are:
Copyright 2006 by Maurice Eugene Heskett, all rights reserved.

2006-02-03 19:55:59

by Alexander Fieroch

[permalink] [raw]
Subject: Re: [2.6.16rc2] compile error

Alex Romosan wrote:
> look at /dev/null. on my system it keeps getting replaced by a regular
> file. not really sure where the bug is, but 'cd /dev; ./MAKEDEV null'
> will recreate the null character device and then the compilation will
> proceed normally.
>
> --alex--

Thanks, that's it. /dev/null was replaced by a regular file.
Hm, /dev/MAKEDEV null and /dev/MAKEDEV std didn't rebuild the character
device null... but a reboot did.

Regards,
Alexander

2006-02-03 20:04:58

by Sam Ravnborg

[permalink] [raw]
Subject: Re: [2.6.16rc2] compile error

On Fri, Feb 03, 2006 at 02:47:53PM -0500, Gene Heskett wrote:
> >
> >You are hit be an outstanding issue with -rc1 + rc2.
> >When you build as root you will alter /dev/null and in your case it
> >became a regular file.
>
> That didn't hit me Sam, and I built it as root, running it right now.
First you need to do make clean or make menuconfig to trigger theerror.
Second, not all /dev/null are affected. On my gentoo box it does not
fail.

Sam

2006-02-03 20:56:35

by Alex Romosan

[permalink] [raw]
Subject: Re: [2.6.16rc2] compile error

Alexander Fieroch wrote:

> Alex Romosan wrote:
>> look at /dev/null. on my system it keeps getting replaced by a regular
>> file. not really sure where the bug is, but 'cd /dev; ./MAKEDEV null'
>> will recreate the null character device and then the compilation will
>> proceed normally.
>>
>> --alex--
>
> Thanks, that's it. /dev/null was replaced by a regular file.
> Hm, /dev/MAKEDEV null and /dev/MAKEDEV std didn't rebuild the character
> device null... but a reboot did.

you are probably running udev or something like that which generates
the devices automagically...

--alex--

--
| I believe the moment is at hand when, by a paranoiac and active |
| advance of the mind, it will be possible (simultaneously with |
| automatism and other passive states) to systematize confusion |
| and thus to help to discredit completely the world of reality. |

2006-02-03 20:59:47

by Alexander Fieroch

[permalink] [raw]
Subject: Re: [2.6.16rc2] compile error

Alex Romosan wrote:
> you are probably running udev or something like that which generates
> the devices automagically...

yes I do. Next time '/etc/init.d/udev restart' should recreate /dev/null?

Regards,
Alexander

2006-02-04 03:30:45

by Gene Heskett

[permalink] [raw]
Subject: Re: [2.6.16rc2] compile error

On Friday 03 February 2006 15:04, Sam Ravnborg wrote:
>On Fri, Feb 03, 2006 at 02:47:53PM -0500, Gene Heskett wrote:
>> >You are hit be an outstanding issue with -rc1 + rc2.
>> >When you build as root you will alter /dev/null and in your case it
>> >became a regular file.
>>
>> That didn't hit me Sam, and I built it as root, running it right
>> now.
>
>First you need to do make clean or make menuconfig to trigger
> theerror. Second, not all /dev/null are affected. On my gentoo box it
> does not fail.

My buildit26 script does a make oldconfig at the end of the tree build.
Then my makeit script is run after I've run a make xconfig to dbl check
the config, so menuconfig never gets involved 99.9% of the time.
Anyway, its still running, and the log looks 100% normal so far.

> Sam

--
Cheers, Gene
People having trouble with vz bouncing email to me should add the word
'online' between the 'verizon', and the dot which bypasses vz's
stupid bounce rules. I do use spamassassin too. :-)
Yahoo.com and AOL/TW attorneys please note, additions to the above
message by Gene Heskett are:
Copyright 2006 by Maurice Eugene Heskett, all rights reserved.

2006-02-04 03:32:43

by Gene Heskett

[permalink] [raw]
Subject: Re: [2.6.16rc2] compile error

On Friday 03 February 2006 15:04, Sam Ravnborg wrote:
>On Fri, Feb 03, 2006 at 02:47:53PM -0500, Gene Heskett wrote:
>> >You are hit be an outstanding issue with -rc1 + rc2.
>> >When you build as root you will alter /dev/null and in your case it
>> >became a regular file.
>>
>> That didn't hit me Sam, and I built it as root, running it right
>> now.
>
>First you need to do make clean or make menuconfig to trigger
> theerror. Second, not all /dev/null are affected. On my gentoo box it
> does not fail.

I forgot to add that my makeit script does a make clean as the 2nd step,
the first is a version check to make sure I edited it correctly. My
ancient fingers don't always type what I think...

> Sam
>-
>To unsubscribe from this list: send the line "unsubscribe
> linux-kernel" in the body of a message to [email protected]
>More majordomo info at http://vger.kernel.org/majordomo-info.html
>Please read the FAQ at http://www.tux.org/lkml/

--
Cheers, Gene
People having trouble with vz bouncing email to me should add the word
'online' between the 'verizon', and the dot which bypasses vz's
stupid bounce rules. I do use spamassassin too. :-)
Yahoo.com and AOL/TW attorneys please note, additions to the above
message by Gene Heskett are:
Copyright 2006 by Maurice Eugene Heskett, all rights reserved.